/******************************************************
 * File: Test.java
 * created 13-May-02 3:44:21 PM by root
 */

package techrep.TrBibReader;

import java.io.FileNotFoundException;
import java.util.Vector;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;

public class Test
{
	public static void main(String args[]) throws BibFormatException,
												  ParserConfigurationException,
												  TransformerException
	{
		if (args.length != 1)
		{
			System.out.println("*** Path to .bib file required! ***");
			System.exit(0);
		}
		try
		{
			reader = new Reader( args[0] );
		}
		catch( FileNotFoundException fnfe )
		{
			fnfe.printStackTrace();
			System.exit(0);
		}
		reader.parse();
		Vector docs = reader.getDocumentsAsStrings();
		while( !docs.isEmpty() )
		{
			String xmlDoc = (String) docs.remove(0);
			System.out.println();
			System.out.println( xmlDoc );
		}
		
		System.exit(1);
	}
	
	private static Reader reader;
}
