/******************************************************
 * File: GUITest.java
 * created 26-Jan-02 9:12:29 PM by root
 */

package test;

import java.io.IOException;

import javax.swing.JFrame;
import jxtaimpl.AnthillPeerWS;

import techrep.MainToolbar;

import anthill.factory.Factory;

public class GUITest
{
  public static void main(String args[])
  {
	Factory factory = null;
	
	try
	{
	  factory = new Factory(args);
	}
	catch(IOException ioe)
	{
	  ioe.printStackTrace();
	  System.exit(1);
	}
	AnthillPeerWS workSpace = new AnthillPeerWS( factory );
	jxtaimpl.Nest localNest = workSpace.getNest();
	JFrame gui = new MainToolbar( localNest );
	gui.show();
  }
}
