/******************************************************
 * File: GateServiceAdvPublisher.java
 * created 17-Mar-02 4:43:34 PM by root
 */


package jxtaimpl;

import java.io.IOException;

import net.jxta.discovery.DiscoveryService;
import net.jxta.document.Advertisement;


public class GateServiceAdvPublisher extends Thread
{
	public GateServiceAdvPublisher(DiscoveryService disco, Advertisement gateAdv, long lifeTime)
	{
		netDisco = disco;
		expireTime = lifeTime;
		adv = gateAdv;
	}
	
	public void run()
	{
		try
		{
			this.sleep( expireTime );
			netDisco.remotePublish( adv, DiscoveryService.ADV, expireTime );
	  		netDisco.publish( adv, DiscoveryService.ADV, expireTime, expireTime );
		}
		catch(InterruptedException ie)
		{
			ie.printStackTrace();
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}
	}
	
	private DiscoveryService netDisco;
	private long expireTime;
	private Advertisement adv;
}
