
package test;

import java.io.*;
import java.util.*;

/**
 *
 *  @author Alberto Montresor
 *  @version $REVISION$
 */
public class Mixer
{

  private static final int ITERATIONS = 2;
  
  public static void main(String[] args)
    throws Exception
  {
    if (args.length != 1) {
      System.out.println("Usage: Mixer file-in");
    }
    ArrayList documents = new ArrayList();
    FileReader freader= new FileReader(args[0]);
    BufferedReader reader = new BufferedReader(freader);
    String line;
    int count = 0;
    while ((line = reader.readLine()) != null) {
      count++;
      documents.add(line);
    }
    
    Random random = new Random();
    for (int i=0; i < documents.size() * ITERATIONS; i++) {
      int p = random.nextInt(documents.size());
      int q = random.nextInt(documents.size());
      Object temp = documents.get(p);
      documents.set(p, documents.get(q));
      documents.set(q, temp);
    }

    for (int i=0; i < documents.size(); i++) {
      System.out.println(documents.get(i));
    }
  }
  
} // END Mixer
